c_interface_defs.h File Reference
`#include "cvc4_public.h"`
Include dependency graph for c_interface_defs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void * | VC
typedef void * | Context
typedef void * | ExprManager
typedef void * | Flags
typedef void * | Expr
typedef void * | Op
typedef void * | Type
typedef void * | Proof

## Detailed Description

Author: Clark Barrett

Created: Thu Jun 5 13:16:26 2003

License to use, copy, modify, sell and/or distribute this software and its documentation for any purpose is hereby granted without royalty, subject to the terms and conditions defined in the COPYING file provided with this distribution.

Definition in file c_interface_defs.h.

## Typedef Documentation

## Context

typedef void* Context

Definition at line 42 of file c_interface_defs.h.

## Expr

typedef void* Expr

Definition at line 46 of file c_interface_defs.h.

## ExprManager

typedef void* ExprManager

Definition at line 43 of file c_interface_defs.h.

## Flags

typedef void* Flags

Definition at line 44 of file c_interface_defs.h.

## Op

typedef void* Op

Definition at line 47 of file c_interface_defs.h.

## Proof

typedef void* Proof

Definition at line 49 of file c_interface_defs.h.

## Type

typedef void* Type

Definition at line 48 of file c_interface_defs.h.

## VC

typedef void* VC

Definition at line 41 of file c_interface_defs.h.